Get IDs in a Segment
This endpoint is rate limited to 100
This endpoint is rate limited to 100
get
https://statsigapi.net/console/v1/segments/{id}/id_listAuthorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
idstringrequiredQuery parameters
limitintegerResults per page
Example:
10Constraints:
stringnumberpageintegerPage number
Example:
1Constraints:
stringnumberResponse
application/json200· IDs read successfully
messagestringrequiredA simple string explaining the result of the operation.
dataobjectrequiredSchema for a list of IDs with a name and count
Example:
{"name":"Example List","count":5,"ids":["id1","id2","id3","id4","id5"]}Show child attributes
namestringrequiredThe name associated with the list of IDs
Example:
Example ListcountnumberrequiredThe count of IDs in the list
Example:
5Constraints:
format: doubleidsstring[]requiredThe array of IDs
Example:
["id1","id2","id3","id4","id5"]paginationobjectrequiredPagination metadata for checking if there is next page for example.
Show child attributes
itemsPerPagenumberrequiredConstraints:
format: doublepageNumbernumberrequiredConstraints:
format: doublenextPagestringrequiredConstraints:
nullablepreviousPagestringrequiredConstraints:
nullabletotalItemsnumberConstraints:
format: doubleallstringWas this helpful?